org.apache.calcite.avatica

## Class ColumnMetaData.StructType

- java.lang.Object
- - org.apache.calcite.avatica.ColumnMetaData.AvaticaType
  - - org.apache.calcite.avatica.ColumnMetaData.StructType

Enclosing class:
  ColumnMetaData

    public static class ColumnMetaData.StructType
    extends ColumnMetaData.AvaticaType

Record type.

### Field Summary

Fields
`List<ColumnMetaData>` `columns`

### Fields inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`id, name, rep`

### Constructor Summary

Constructors
Constructor and Description
`ColumnMetaData.StructType(List<ColumnMetaData> columns)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`Common.AvaticaType` `toProto()`

### Methods inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`columnClassName, fromProto, setRep`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columns

    public final List<ColumnMetaData> columns

### Constructor Detail

#### ColumnMetaData.StructType

    public ColumnMetaData.StructType(List<ColumnMetaData> columns)

### Method Detail

#### toProto

    public Common.AvaticaType toProto()

Overrides:
  `toProto` in class `ColumnMetaData.AvaticaType`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ColumnMetaData.AvaticaType`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `ColumnMetaData.AvaticaType`